Subject: Re: linux-next: manual merge of the tty tree with the jc_docs tree

From: Greg KH <[email-masked]>
Date: Tue, 8 Nov 2016 11:15:54 +0100

On Tue, Nov 08, 2016 at 04:30:13PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the tty tree got a conflict in:
> 
>   Documentation/VGA-softcursor.txt
> 
> between commits:
> 
>   27641b953c54 ("Documentation/VGA-softcursor.txt: convert to ReST markup")
>   9d85025b0418 ("docs-rst: create an user's manual book")
> 
> from the jc_docs tree and commit:
> 
>   b9c8b7fc252c ("vgacon: remove prehistoric macros")
> 
> from the tty tree.
> 
> I fixed it up (I deleted it - since 9d85025b0418 moved it - but that
> means it may need fixing up in its new location to match any relevant
> changes in b9c8b7fc252c) and can carry the fix as necessary. This is
> now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your
> tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Thanks, I'll work on sending a documentation patch after 4.10-rc1 to fix
this up.

greg k-h